#ifndef FILEREADER_H
#define FILEREADER_H

#include <QFile>

class QSemaphore;
class QTimer;

class FileReader : public QObject
{
    Q_OBJECT
public:
    FileReader(QSemaphore *sem);

public slots:
    void setFileName(QString fileName);

private slots:
    void readFile();
signals:
    void dataAccuired(QByteArray);

private:
    QSemaphore * queueFreeSizeSem;
    QTimer *readFileTimer;
    QFile dataFile;
};

#endif // FILEREADER_H
