#ifndef HRBTRIGGERSETUP_H
#define HRBTRIGGERSETUP_H

#include <QMetaType>

struct HrbTriggerSetup
{
    friend bool operator==(const HrbTriggerSetup &, const HrbTriggerSetup &) = default;

    bool ttlSpill = false;
    bool ttlTrigger = true;
    bool lvdsSpill = true;
    bool lvdsTrigger = true;
    bool internalSpill = false;
    bool internalTrigger = false;
    uint interval = 100; // in ticks
    bool softSpill = false;
};
Q_DECLARE_METATYPE(HrbTriggerSetup)

#endif // HRBTRIGGERSETUP_H
