/*
**    Copyright 2022 Ilia Slepnev
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef TQDCHARDWAREDEF_H
#define TQDCHARDWAREDEF_H

#include <QtGlobal>

constexpr const int tqdc16vs_adc_scale = 3;
constexpr const quint16 tqdc_hptdc_scale = 1;
constexpr const int tqdc16vs_adc_lat_offset = 1; // in 8ns steps
constexpr const quint16 tqdc16vs_hptdc_lat_offset = 5; // in 24ns steps

#endif // TQDCHARDWAREDEF_H
