#ifndef CLOCKDIVIDERRESET_H
#define CLOCKDIVIDERRESET_H

class ModularMregDevice;
class ClockDividerControlModule;
class DeserializersControlModule;

#include <QSharedPointer>

class ClockDividerReset
{
public:
    explicit ClockDividerReset(ModularMregDevice *parent);

    void init();
    void deinit();
    void syncClock();

private:
    ModularMregDevice * dev = nullptr;
    QSharedPointer<ClockDividerControlModule> clkCtrl;
    QSharedPointer<DeserializersControlModule> desCtrl;
};

#endif // CLOCKDIVIDERRESET_H
