#ifndef DLNPCALIBRATIONTRIGGERDIALOG_H
#define DLNPCALIBRATIONTRIGGERDIALOG_H

#include <QDialog>

class DeviceIndex;
struct DlnpCalibrationTriggerConfig;
struct DlnpCalibrationTriggerBuildParams;

class DlnpCalibrationTriggerDialog : public QDialog
{
    Q_OBJECT
public:
    explicit DlnpCalibrationTriggerDialog(QWidget *parent = 0);

signals:
    void dlnpCalibrationTriggerConfigChanged(const DlnpCalibrationTriggerConfig &cfg) const;
    void setDlnpCalibrationTriggerConfig(const DlnpCalibrationTriggerConfig &cfg) const;
    void dlnpCalibrationTriggerBpUpdated(const DeviceIndex &index, const DlnpCalibrationTriggerBuildParams &bp) const;
};

#endif // DLNPCALIBRATIONTRIGGERDIALOG_H
