#ifndef ADC64APP_H
#define ADC64APP_H

#include "app/DaqGuiApp.h"
#include <QCommandLineOption>
#include "Adc64StartupOptions.h"

class Adc64App : public DaqGuiApp
{
public:
    Adc64App(int &_argc, char *_argv[]);
    Adc64StartupOptions getStartupOptions() const { return so; }

protected:
    virtual void setupOptions() override;
    virtual void processParseResults(QCommandLineParser &parser) override;
    virtual QPixmap getSplashPixmap() const override;
    virtual bool hasConfigSelectorOption() const override { return true; }

private:
    QCommandLineOption pcb_ch_option;
    Adc64StartupOptions so;
};

#endif // ADC64APP_H


