#include "CruDeviceGlobal.h"
#include "CruDevice.h"
#include "CruSignalRouter.h"

CruDeviceGlobal::CruDeviceGlobal(const DeviceIndex &index, QObject *parent)
    : MstreamMregDevGlobal(new CruDevice(index), devStatus, parent)
{
    CruSignalRouter::instance().connect_CruDeviceGlobal(this);
}

void CruDeviceGlobal::deviceStatusUpdated(const ModularDeviceStatus &status)
{
    Q_ASSERT(getDeviceIndex() == status.getDeviceIndex());
    if (getDeviceIndex() != status.getDeviceIndex())
        return;

    devStatus = status;
}
