#include "HrbAnMainWindow.h"
#include <QApplication>
#include <QString>
#include <QDebug>
#include <iostream>

int main(int argc, char *argv[])
{
    QCoreApplication::setOrganizationName("AFI Electronics");
    QCoreApplication::setOrganizationDomain("local");
    QCoreApplication::setApplicationName("HRB Analyzer");

    int ret;
    try{
        QApplication a(argc, argv);
        HrbAnMainWindow w;
        w.init(a.arguments());
        w.show();
        ret = a.exec();
    } catch (std::exception &e) {
        std::cerr << "Exception: " << e.what () << std::endl;
        ret = -1;
    }

    return ret;
}
