#ifndef MONGOVIEWERCONFIGDB_H
#define MONGOVIEWERCONFIGDB_H

#include "MongoViewerConfig.h"
#include "mongo/AbstractConfigDb.h"

class MongoViewerConfigDB : public AbstractConfigDb
{
    Q_OBJECT
public:
    explicit MongoViewerConfigDB(QObject *parent = nullptr);

signals:
    void configChanged(const MongoViewerConfig &);
public slots:
    void setConfig(const MongoViewerConfig &newConfig);
    void update_config_from_db() override final;

private:
    MongoViewerConfig config;
};

#endif // MONGOVIEWERCONFIGDB_H
