#include "EvbEvNumberConfig.h"

#include <QDebug>
#include <QDataStream>

QDebug operator<<(QDebug dbg, const EvbEvNumberConfig &c)
{
    dbg << "EvbEvNumberConfig{"
        << "evNumberStep:" << c.step
        << "startEvNumber:" << c.startEvNum
        << "}";

    return dbg;
}

QDataStream &operator<<(QDataStream &out, const EvbEvNumberConfig &r)
{
    out
            << r.step
            << r.startEvNum;

    return out;
}

QDataStream &operator>>(QDataStream &in, EvbEvNumberConfig &r)
{
    in
            >> r.step
            >> r.startEvNum;

    return in;
}
