#ifndef VIEWERZMQPUBLISHER_H
#define VIEWERZMQPUBLISHER_H

#include "zmq-lib/ZmqPublisher.h"

class DecodedData;

class QSemaphore;

class ViewerZmqPublisher : public ZmqPublisher
{
public:
    explicit ViewerZmqPublisher(QSemaphore *_zmqSem, QObject *parent = nullptr);

public slots:
    void publish_event(const DecodedData &data);

private:
    QSemaphore * const zmqSem;
};

#endif // VIEWERZMQPUBLISHER_H
