#include "ConfigConverterUtil.h"

QJsonValue jsonValueFromUInt64(const quint64 &in) {
    QJsonObject out;
    out["hi"] = static_cast<qint32>(in>>32);
    out["lo"] = static_cast<qint32>(in&0xFFFFFFFF);
    return out;
}

quint64 jsonValueToUInt64(const QJsonValue &_in) {
    const auto &in = _in.toObject();
    auto a = in["hi"].toInt();
    auto b = static_cast<quint64>(a);
    auto c = b<<32;
    quint64 out = static_cast<quint64>(in["hi"].toInt())<<32;
    out = c;
    out |= static_cast<quint64>(in["lo"].toInt());
    return out;
}
