#include "PrintInfo.h"
#include <QStringList>

QString humanReadableSize(double size)
{
    const auto &list = QStringList{"KB", "MB", "GB", "TB"};

    QStringListIterator i(list);
    QString unit("bytes");

    while(size >= 1024.0 && i.hasNext())
    {
        unit = i.next();
        size /= 1024.0;
    }
    return QString().setNum(size,'f',2)+" "+unit;
}

