#ifndef FILEREADERCONFIG_H
#define FILEREADERCONFIG_H

#include <QString>
#include <QMetaType>

struct FileReaderConfig
{
    friend bool operator==(const FileReaderConfig &, const FileReaderConfig &) = default;

    QString lastFile;
    int playbackInterval = 500; //ms
    int readBy = 1;
};
Q_DECLARE_METATYPE(FileReaderConfig)

#endif // FILEREADERCONFIG_H
